import { ProvidersService } from 'fccore2';
import { FcinputComponent } from '../fcinput';
/**
 * fc-radio单选
 *
 * 单选框。
 *
 * 用于在多个备选项中选中单个状态。
 *
 * 和Select的区别是，Radio所有选项默认可见，方便用户在比较中选择，因此选项不宜过多。
 *
 */
export declare class FcradioComponent extends FcinputComponent {
    provider: ProvidersService;
    lastValue: any;
    /**显示模式*/
    fcMode: string;
    _mode: boolean;
    /** 候选值*/
    fcOption: any[];
    /**label字段名称*/
    fcLabelCode: string;
    /**value字段名称*/
    fcValueCode: string;
    /**disabled字段名称*/
    _disabledCode: string;
    constructor(provider: ProvidersService);
    _afterParentInit(): void;
    click($event: any): void;
    valueOnChange(selectOptions: any): void;
}
